Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class ResourceRemovedEvent<T>

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceRemovedEvent<T>

public class ResourceRemovedEvent<T> extends Object
Event indicating that model resources have been removed, which requires updating the graph of dependencies between model resources.

## Constructor Summary

Constructors
Constructor
Description
`ResourceRemovedEvent(Set<T> elements)`

## Method Summary

Modifier and Type
Method
Description
`Set<T>`
`getElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceRemovedEvent

public ResourceRemovedEvent(Set<T> elements)

## Method Details

### getElements

public Set<T> getElements()